#include <cstdio>


int main()
{
	int n, a;
	std::scanf("%d %d", &n, &a);

	if (n < 3 * a || n <= a)
	{
		std::puts("-1");
		return 0;
	}

	if (3 * a == n)
	{
		std::printf("0 %d\n0 %d\n0 %d\n", a, a, a);
		return 0;
	}

	int dif = n - 3 * a;
	if (dif & 1)
	{
		std::printf("%d %d\n0 %d\n0 %d\n", dif / 2, a + dif/2 + 1, a, a);
		return 0;
	}

	std::printf("%d %d\n0 %d\n0 %d\n", dif / 2, a + dif / 2, a, a);
	return 0;
}